#include "keyboard.h"
#include <QDebug>
#include <QKeyEvent>
#include "player.h"

CKeyboard    keyboard;

bool CKeyboard::eventFilter(QObject */*object*/, QEvent *event){

    if (event->type() == QEvent::KeyPress)
    {
        QKeyEvent *keyEvent = static_cast<QKeyEvent *>(event);

        if (keyEvent->isAutoRepeat() == false)
        {
            quint32 nativeKey = keyEvent->nativeScanCode();

            switch (nativeKey)
            {
            case 16:    // 'Q' on QWERTY, 'A' on AZERTY
                player.turnLeft();
                break;

            case 17:    // 'W' on QWERTY, 'Z' on AZERTY
                player.moveForward();
                break;

            case 18:    // 'E'
                player.turnRight();
                break;

            case 30:    // 'A' on QWERTY, 'Q' on AZERTY
                player.moveLeft();
                break;

            case 31:    // 'S'
                player.moveBackward();
                break;

            case 32:    // 'D'
                player.moveRight();
                break;

            default:
                break;
            }
        }
        return true;
    }

    return false;
}
